<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>angular-frontend documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	   <link rel="stylesheet" href="../styles/style.css">
        <link rel="stylesheet" href="../styles/dark.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">angular-frontend documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content component">
                   <div class="content-data">




<ol class="breadcrumb">
  <li>Components</li>
  <li
  >
  AddProjectComponent</li>
</ol>

<ul class="nav nav-tabs" role="tablist">
        <li class="active">
            <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
        </li>
        <li >
            <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
        </li>
        <li >
            <a href="#templateData" role="tab" id="templateData-tab" data-toggle="tab" data-link="template">Template</a>
        </li>
        <li >
            <a href="#styleData" role="tab" id="styleData-tab" data-toggle="tab" data-link="style">Styles</a>
        </li>
        <li >
            <a href="#tree" role="tab" id="tree-tab" data-toggle="tab" data-link="dom-tree">DOM Tree</a>
        </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info"><p class="comment">
    <h3>File</h3>
</p>
<p class="comment">
    <code>projects/projects-app-ang/src/app/components/add-project/add-project.component.ts</code>
</p>




    <p class="comment">
        <h3>Implements</h3>
    </p>
    <p class="comment">
                    <code><a href="https://angular.io/api/core/OnInit" target="_blank" >OnInit</a></code>
    </p>


<section>
    <h3>Metadata</h3>
    <table class="table table-sm table-hover metadata">
        <tbody>











            <tr>
                <td class="col-md-3">selector</td>
                <td class="col-md-9"><code>app-add-project</code></td>
            </tr>

            <tr>
                <td class="col-md-3">styleUrls</td>
                <td class="col-md-9"><code>./add-project.component.css</code></td>
            </tr>



            <tr>
                <td class="col-md-3">templateUrl</td>
                <td class="col-md-9"><code>./add-project.component.html</code></td>
            </tr>








        </tbody>
    </table>
</section>

    <section>
    <h3 id="index">Index</h3>
    <table class="table table-sm table-bordered index-table">
        <tbody>
                <tr>
                    <td class="col-md-4">
                        <h6><b>Properties</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#project" >project</a>
                            </li>
                            <li>
                                <a href="#submitted" >submitted</a>
                            </li>
                        </ul>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Methods</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#newProject" >newProject</a>
                            </li>
                            <li>
                                <a href="#ngOnInit" >ngOnInit</a>
                            </li>
                            <li>
                                <a href="#saveProject" >saveProject</a>
                            </li>
                        </ul>
                    </td>
                </tr>





        </tbody>
    </table>
</section>

    <section>
    <h3 id="constructor">Constructor</h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
<code>constructor(projectService: <a href="../injectables/ProjectAppService.html" target="_self">ProjectAppService</a>)</code>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="17" class="link-to-prism">projects/projects-app-ang/src/app/components/add-project/add-project.component.ts:17</a></div>
                            </td>
                        </tr>

                <tr>
                    <td class="col-md-4">
                            <div>
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>projectService</td>
                                                  
                                                        <td>
                                                                        <code><a href="../injectables/ProjectAppService.html" target="_self" >ProjectAppService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>





    <section>
    
    <h3 id="methods">
        Methods
    </h3>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="newProject"></a>
                    <span class="name">
                        <span ><b>newProject</b></span>
                        <a href="#newProject"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>newProject()</code>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="38"
                            class="link-to-prism">projects/projects-app-ang/src/app/components/add-project/add-project.component.ts:38</a></div>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">

                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                    </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="ngOnInit"></a>
                    <span class="name">
                        <span ><b>ngOnInit</b></span>
                        <a href="#ngOnInit"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>ngOnInit()</code>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="19"
                            class="link-to-prism">projects/projects-app-ang/src/app/components/add-project/add-project.component.ts:19</a></div>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">

                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                    </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="saveProject"></a>
                    <span class="name">
                        <span ><b>saveProject</b></span>
                        <a href="#saveProject"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>saveProject()</code>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="21"
                            class="link-to-prism">projects/projects-app-ang/src/app/components/add-project/add-project.component.ts:21</a></div>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">

                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                    </div>
                </td>
            </tr>
        </tbody>
    </table>
</section>
    <section>
    
    <h3 id="inputs">
        Properties
    </h3>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="project"></a>
                    <span class="name">
                        <span ><b>project</b></span>
                        <a href="#project"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
                <tr>
                    <td class="col-md-4">
                        <i>Type : </i>        <code><a href="../interfaces/Project.html" target="_self" >Project</a></code>

                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <i>Default value : </i><code>{
    title: &#x27;&#x27;,
    description: &#x27;&#x27;,

  }</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="12" class="link-to-prism">projects/projects-app-ang/src/app/components/add-project/add-project.component.ts:12</a></div>
                        </td>
                    </tr>


        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="submitted"></a>
                    <span class="name">
                        <span ><b>submitted</b></span>
                        <a href="#submitted"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
                <tr>
                    <td class="col-md-4">
                        <i>Default value : </i><code>false</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="17" class="link-to-prism">projects/projects-app-ang/src/app/components/add-project/add-project.component.ts:17</a></div>
                        </td>
                    </tr>


        </tbody>
    </table>
</section>

</div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { Component, OnInit } from &#x27;@angular/core&#x27;;

import { Project } from &#x27;../../Project&#x27;;
import { ProjectAppService } from &#x27;../../services/project-app.service&#x27;;

@Component({
  selector: &#x27;app-add-project&#x27;,
  templateUrl: &#x27;./add-project.component.html&#x27;,
  styleUrls: [&#x27;./add-project.component.css&#x27;]
})
export class AddProjectComponent implements OnInit {
  project: Project &#x3D; {
    title: &#x27;&#x27;,
    description: &#x27;&#x27;,

  };
  submitted &#x3D; false;
  constructor(private projectService: ProjectAppService) { }
  ngOnInit(): void {
  }
  saveProject(): void {
    const data &#x3D; {
      title: this.project.title,
      short_title: this.project.short_title,
      status: this.project.status,
      start_date: this.project.start_date,
      description: this.project.description
    };
    this.projectService.create(data)
      .subscribe({
        next: (res) &#x3D;&gt; {
          console.log(res);
          this.submitted &#x3D; true;
        },
        error: (e) &#x3D;&gt; console.error(e)
      });
  }
  newProject(): void {
    this.submitted &#x3D; false;
    this.project &#x3D; {
      title: &#x27;&#x27;,
      short_title: &#x27;&#x27;,
      status: &#x27;&#x27;,
      start_date: &#x27;&#x27;,
      description: &#x27;&#x27;,
    };
  }
}</code></pre>
    </div>

    <div class="tab-pane fade " id="c-templateData">
        <pre class="line-numbers"><code class="language-html">&lt;div&gt;
    &lt;div class&#x3D;&quot;submit-form&quot;&gt;
      &lt;div *ngIf&#x3D;&quot;!submitted&quot;&gt;
        &lt;div class&#x3D;&quot;form-group&quot;&gt;
          &lt;label for&#x3D;&quot;title&quot;&gt;{{&#x27;ADD.TITLE&#x27; | translate}}&lt;/label&gt;
          &lt;input nbInput
            type&#x3D;&quot;text&quot;
            class&#x3D;&quot;form-control&quot;
            id&#x3D;&quot;title&quot;
            required
            [(ngModel)]&#x3D;&quot;project.title&quot;
            name&#x3D;&quot;title&quot;
          /&gt;
        &lt;/div&gt;
        &lt;div class&#x3D;&quot;form-group&quot;&gt;
          &lt;label for&#x3D;&quot;short_title&quot;&gt;{{&#x27;ADD.SHORT&#x27; | translate}}&lt;/label&gt; &lt;!--&lt;li&gt;{{&#x27;MENU.ADD&#x27; | translate}}&lt;/li&gt;--&gt;
          &lt;input nbInput
            class&#x3D;&quot;form-control&quot;
            id&#x3D;&quot;short_title&quot;
            required
            [(ngModel)]&#x3D;&quot;project.short_title&quot;
            name&#x3D;&quot;short_title&quot;
          /&gt;
        &lt;/div&gt;
        &lt;div class&#x3D;&quot;form-group&quot;&gt;
          &lt;label for&#x3D;&quot;status&quot;&gt;{{&#x27;ADD.STATUS&#x27; | translate}}&lt;/label&gt;
          &lt;input nbInput
            class&#x3D;&quot;form-control&quot;
            id&#x3D;&quot;status&quot;
            required
            [(ngModel)]&#x3D;&quot;project.status&quot;
            name&#x3D;&quot;status&quot;
          /&gt;
        &lt;/div&gt;
        &lt;div class&#x3D;&quot;form-group&quot;&gt;
          &lt;label for&#x3D;&quot;start_date&quot;&gt;{{&#x27;ADD.STARTDATE&#x27; | translate}}&lt;/label&gt;
          &lt;input nbInput
            class&#x3D;&quot;form-control&quot;
            id&#x3D;&quot;start_date&quot;
            required
            [(ngModel)]&#x3D;&quot;project.start_date&quot;
            name&#x3D;&quot;start_date&quot;
          /&gt;
        &lt;/div&gt;
        &lt;div class&#x3D;&quot;form-group&quot;&gt;
          &lt;label for&#x3D;&quot;description&quot;&gt;{{&#x27;ADD.DESCRIPTION&#x27; | translate}}&lt;/label&gt;
          &lt;input nbInput
            class&#x3D;&quot;form-control&quot;
            id&#x3D;&quot;description&quot;
            required
            [(ngModel)]&#x3D;&quot;project.description&quot;
            name&#x3D;&quot;description&quot;
          /&gt;
        &lt;/div&gt;
        &lt;button nbButton status&#x3D;&quot;success&quot; (click)&#x3D;&quot;saveProject()&quot; class&#x3D;&quot;btn btn-success&quot;&gt;{{&#x27;ADD.SUBMIT&#x27; | translate}}&lt;/button&gt;
      &lt;/div&gt;
      &lt;div *ngIf&#x3D;&quot;submitted&quot;&gt;
        &lt;h4&gt;Project was submitted successfully!&lt;/h4&gt;
        &lt;button nbButton class&#x3D;&quot;btn btn-success&quot; (click)&#x3D;&quot;newProject()&quot;&gt;Add&lt;/button&gt;
      &lt;/div&gt;
    &lt;/div&gt;
  &lt;/div&gt;</code></pre>
    </div>

    <div class="tab-pane fade " id="c-styleData">
                <p class="comment">
                    <code>./add-project.component.css</code>
                </p>
                <pre class="line-numbers"><code class="language-scss">.submit-form {
    max-width: 400px;
    margin: auto;
  }</code></pre>
    </div>

    <div class="tab-pane fade " id="c-tree">
        <div id="tree-container"></div>
        <div class="tree-legend">
            <div class="title">
                <b>Legend</b>
            </div>
            <div>
                <div class="color htmlelement"></div><span>Html element</span>
            </div>
            <div>
                <div class="color component"></div><span>Component</span>
            </div>
            <div>
                <div class="color directive"></div><span>Html element with directive</span>
            </div>
        </div>
    </div>

    
</div>

<script src="../js/libs/vis.min.js"></script>
<script src="../js/libs/htmlparser.js"></script>
<script src="../js/libs/deep-iterator.js"></script>
<script>
        var COMPONENT_TEMPLATE = '<div><div>    <div class="submit-form">      <div *ngIf="!submitted">        <div class="form-group">          <label for="title">{{\'ADD.TITLE\' | translate}}</label>          <input nbInput            type="text"            class="form-control"            id="title"            required            [(ngModel)]="project.title"            name="title"          />        </div>        <div class="form-group">          <label for="short_title">{{\'ADD.SHORT\' | translate}}</label> <!--<li>{{\'MENU.ADD\' | translate}}</li>-->          <input nbInput            class="form-control"            id="short_title"            required            [(ngModel)]="project.short_title"            name="short_title"          />        </div>        <div class="form-group">          <label for="status">{{\'ADD.STATUS\' | translate}}</label>          <input nbInput            class="form-control"            id="status"            required            [(ngModel)]="project.status"            name="status"          />        </div>        <div class="form-group">          <label for="start_date">{{\'ADD.STARTDATE\' | translate}}</label>          <input nbInput            class="form-control"            id="start_date"            required            [(ngModel)]="project.start_date"            name="start_date"          />        </div>        <div class="form-group">          <label for="description">{{\'ADD.DESCRIPTION\' | translate}}</label>          <input nbInput            class="form-control"            id="description"            required            [(ngModel)]="project.description"            name="description"          />        </div>        <button nbButton status="success" (click)="saveProject()" class="btn btn-success">{{\'ADD.SUBMIT\' | translate}}</button>      </div>      <div *ngIf="submitted">        <h4>Project was submitted successfully!</h4>        <button nbButton class="btn btn-success" (click)="newProject()">Add</button>      </div>    </div>  </div></div>'
    var COMPONENTS = [{'name': 'AddProjectComponent', 'selector': 'app-add-project'},{'name': 'AppComponent', 'selector': 'app-root'},{'name': 'AuthComponent', 'selector': 'app-auth'},{'name': 'CAbschlussComponent', 'selector': 'app-c-abschluss'},{'name': 'CAccountComponent', 'selector': 'app-c-account'},{'name': 'CAnalyseComponent', 'selector': 'app-c-analyse'},{'name': 'CArchivierungComponent', 'selector': 'app-c-archivierung'},{'name': 'CBarComponent', 'selector': 'app-c-bar'},{'name': 'CDurchfuehrungComponent', 'selector': 'app-c-durchfuehrung'},{'name': 'CErhebungComponent', 'selector': 'app-c-erhebung'},{'name': 'CExitComponent', 'selector': 'app-c-exit'},{'name': 'CHomeComponent', 'selector': 'app-c-home'},{'name': 'CLandingComponent', 'selector': 'app-c-landing'},{'name': 'CLanguageComponent', 'selector': 'app-c-language'},{'name': 'CNachzutzungComponent', 'selector': 'app-c-nachzutzung'},{'name': 'CPlanungComponent', 'selector': 'app-c-planung'},{'name': 'CProjectsTableComponent', 'selector': 'app-c-projects-table'},{'name': 'CVorbereitungComponent', 'selector': 'app-c-vorbereitung'},{'name': 'CZugangComponent', 'selector': 'app-c-zugang'},{'name': 'LandingComponent', 'selector': 'app-landing'},{'name': 'LogoutComponent', 'selector': 'app-logout'},{'name': 'MainComponent', 'selector': 'app-main'},{'name': 'MessagesComponent', 'selector': 'app-messages'},{'name': 'MHeaderComponent', 'selector': 'app-m-header'},{'name': 'MyProjectComponent', 'selector': 'app-my-project'},{'name': 'NgxLoginComponent', 'selector': 'ngx-login'},{'name': 'ProjectDetailsComponent', 'selector': 'app-project-details'},{'name': 'ProjectsListComponent', 'selector': 'app-projects-list'},{'name': 'ProjectsMaterialTableComponent', 'selector': 'app-projects-material-table'},{'name': 'RegisterComponent', 'selector': 'app-register'},{'name': 'RequestPasswordComponent', 'selector': 'app-request-password'},{'name': 'ResetPasswordComponent', 'selector': 'app-reset-password'}];
    var DIRECTIVES = [];
    var ACTUAL_COMPONENT = {'name': 'AddProjectComponent'};
</script>
<script src="../js/tree.js"></script>

















                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> results matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

          <label class="dark-mode-switch">
               <input type="checkbox">
               <span class="slider">
                    <svg class="slider-icon" viewBox="0 0 24 24" fill="none" height="20" stroke="#000" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" width="20" xmlns="http://www.w3.org/2000/svg">
                    <path d="M21 12.79A9 9 0 1111.21 3 7 7 0 0021 12.79z"></path>
                    </svg>
               </span>
          </label>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'component';
            var COMPODOC_CURRENT_PAGE_URL = 'AddProjectComponent.html';
            var MAX_SEARCH_RESULTS = 15;
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>

       <script src="../js/menu-wc.js" defer></script>
       <script nomodule src="../js/menu-wc_es5.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
